import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko 
 * @version date - 27.12.2019
 */

public class Casovac extends Ukazovatele
{
    public Casovac()
    {
        setImage(new GreenfootImage("" + cas / 60, 50, Color.RED, Color.BLACK));
    }
    
    int cas = 0;
    boolean casPlynie = true;
    
    public void act() 
    {
        plynutie();
        stopnutie();
    }
    
    public void plynutie()
    {
        int x0 = getWorld().getWidth();
        int y0 = getWorld().getHeight();
        
        if (getWorld().getObjects(Kryt.class).size() != x0 * (y0 - 3) && casPlynie)
        {    
            cas ++;
            setImage(new GreenfootImage("" + cas / 60, 50, Color.RED, Color.BLACK));
        }
    }
    
    public void stopnutie()
    {
        if (getWorld().getObjects(Explozia.class).size() > 0 || cas / 60 == 999 || (getWorld().getObjects(Kryt.class).size() == 0 && getWorld().getObjects(Vlajka.class).size() == getWorld().getObjects(Mina.class).size()))
        {
            casPlynie = false;
        }
    }
}
