import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko
 * @version date - 24.12.2019
 */

public class Mina extends Miny
{
    public void act() 
    {
        nedotykajuSa();
        ibaNaZaciatku();
        kliky();
    }

    int pocitadlo = 0; 
    
    public void nedotykajuSa()
    {
        if (this.isTouching(Mina.class))
        {
            int x = getWorld().getWidth();
            int y = getWorld().getHeight();

            int a = Greenfoot.getRandomNumber(x);
            int b = Greenfoot.getRandomNumber(y - 3);
            this.setLocation(a,b + 3);
        }
    }
    
    public void kliky()
    {
        if (Greenfoot.mouseClicked(null))
        {
            MouseInfo myska = Greenfoot.getMouseInfo();
            int mx = myska.getX();
            int my = myska.getY();
            if (getWorld().getObjectsAt(mx,my,Kryt.class).size() == 1)
            {
                pocitadlo ++;
            }
        }
    }
    
    public void ibaNaZaciatku()
    {
        if(!this.isTouching(Kryt.class) && pocitadlo == 1)
        {
            int x0 = getWorld().getWidth();
            int y0 = getWorld().getHeight();
            
            int a = Greenfoot.getRandomNumber(x0);
            int b = Greenfoot.getRandomNumber(y0 - 3);
            this.setLocation(a,b + 3);
        }
    }
}
