
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko
 * @version date - 27.10.2019
 */

public class Urychlovac extends Pomahace
{
    public Urychlovac()
    {
        //zmensenie obrazka
        getImage().scale(getImage().getWidth()/10,getImage().getHeight()/10);
    }

    public void act() 
    {
        vymazanie();
    }

    public void vymazanie()
    {
        int x = this.getX();
        int y = this.getY();

        this.setLocation(x - 1,y - 1);
        vymazavanie();
        this.move(1);
        vymazavanie();
        this.move(1);
        vymazavanie();
        this.turn(90);
        this.move(1);
        vymazavanie();
        this.move(1);
        vymazavanie();
        this.turn(90);
        this.move(1);
        vymazavanie();
        this.move(1);
        vymazavanie();
        this.turn(90);
        this.move(1);
        vymazavanie();
        this.turn(90);
        this.move(1);
        getWorld().removeObject(this);
    }

    public void vymazavanie()
    {
        if (this.isTouching(Kryt.class))
        {
            getWorld().removeObjects(getWorld().getObjectsAt(this.getX(), this.getY(), Kryt.class));
            Kontrolor kontrolor = new Kontrolor();
            getWorld().addObject(kontrolor, this.getX(), this.getY());
        }
    }
}
