import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko
 * @version date - 24.12.2019
 */

public class Kryt extends Pokryvky
{
    public void act() 
    {
        zmena();
    }
    
    public void zmena()
    {
        int x0 = getWorld().getWidth();
        int y0 = getWorld().getHeight();
        if (getWorld().getObjects(MinaX.class).size() == 0)
        {
            if (Greenfoot.mousePressed(this))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("background.png");
                }
            }
    
            if (Greenfoot.mouseClicked(null))
            {
                this.setImage("kryt.png");
            }
    
            if (Greenfoot.mouseClicked(this))
            {
                MouseInfo myska = Greenfoot.getMouseInfo();
                int mx = myska.getX();
                int my = myska.getY();
                if (getWorld().getObjects(Kryt.class).size() != x0 * (y0 - 3))
                {
                    if (Greenfoot.getMouseInfo().getButton() == 1)
                    {  
                        Kontrolor kontrolor = new Kontrolor();
                        getWorld().addObject(kontrolor,mx,my);
        
                        getWorld().removeObject(this);
                    }
                    if (Greenfoot.getMouseInfo().getButton() == 3)
                    {
                        Vlajka vlajka = new Vlajka();
                        getWorld().addObject(vlajka,mx,my);
                        
                        getWorld().removeObject(this);
                    }
                }
                else
                {
                    if (Greenfoot.getMouseInfo().getButton() == 1)
                    {  
                        Urychlovac urychlovac = new Urychlovac();
                        getWorld().addObject(urychlovac,mx,my);
    
                        getWorld().removeObject(this);
                    }
                }
            }
        }
    }
}
