import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko 
 * @version date - 24.12.2019
 */

public class LahkaUroven extends World
{
    public LahkaUroven()
    {    
        // Create a new world with 9x9 cells with a cell size of 40x40 pixels.
        super(9, 12, 40, false);
        prepare();
    }
    
    public void act()
    {
        
    }

    private void prepare()
    {
        for (int i = 0;i < 10;i ++)
        {
            int x = Greenfoot.getRandomNumber(9);
            int y = Greenfoot.getRandomNumber(9);

            Mina mina = new Mina();
            addObject(mina,x,y + 3);
        }

        for (int i = 0;i < 9;i ++)
        {
            for (int j = 0;j < 9;j ++)
            {
                Kryt kryt = new Kryt();
                addObject(kryt,i,j + 3);
            }
        }

        HornaLista1 h1 = new HornaLista1();
        addObject(h1,4,1);

        Pocitadlo pocitadlo = new Pocitadlo();
        addObject(pocitadlo,1,1);

        Casovac casovac = new Casovac();
        addObject(casovac,7,1);

        Smajlik smajlik = new Smajlik();
        addObject(smajlik,4,1);
    }
}
