import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko
 * @version date - 30.12.2019
 */

public class Smajlik extends Actor
{
    public void act() 
    {
        reagovanie();
    }

    boolean exp = true;
    
    GreenfootSound zvuk = new GreenfootSound("vybuch.wav");
    
    //menenie tvare
    public void reagovanie()
    {
        if (getWorld().getObjects(MinaX.class).size() == 0)
        {
            if (Greenfoot.mousePressed(null))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("smajlik_2.png");
                }
            }
            if (Greenfoot.mousePressed(this))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("smajlik_0.png");
                }
            }
            if (Greenfoot.mouseClicked(null))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("smajlik_1.png");
                }
            }
            if (Greenfoot.mouseClicked(this))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {
                    if (getWorld().getWidth() == 9)
                    {
                        LahkaUroven znova = new LahkaUroven();
                        Greenfoot.setWorld(znova);
                    }
                    if (getWorld().getWidth() == 17)
                    {
                        StrednaUroven znova = new StrednaUroven();
                        Greenfoot.setWorld(znova);
                    }
                    if (getWorld().getWidth() == 31)
                    {
                        TazkaUroven znova = new TazkaUroven();
                        Greenfoot.setWorld(znova);
                    }
                }
            }
            if (getWorld().getObjects(Kryt.class).size() == 0 && getWorld().getObjects(Vlajka.class).size() == getWorld().getObjects(Mina.class).size() && exp == true)
            {
                this.setImage("smajlik_4.png");
                if (Greenfoot.mousePressed(this))
                {
                    this.setImage("smajlik_0.png");
                    exp = false;
                }
            }
        }
        else
        {
            if (getWorld().getObjects(Explozia.class).size() > 0 && exp == true)
            {
                this.setImage("smajlik_3.png");
                exp = false;
                zvuk.play();
            }
            if (Greenfoot.mousePressed(this))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("smajlik_0.png");
                }
            }
            if (Greenfoot.mouseClicked(null))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("smajlik_3.png");
                }
            }
            if (Greenfoot.mouseClicked(this))
            {
                if (Greenfoot.getMouseInfo().getButton() == 1)
                {  
                    this.setImage("smajlik_1.png");
                    zvuk.stop();
                    if (getWorld().getWidth() == 9)
                    {
                        LahkaUroven znova = new LahkaUroven();
                        Greenfoot.setWorld(znova);
                    }
                    if (getWorld().getWidth() == 17)
                    {
                        StrednaUroven znova = new StrednaUroven();
                        Greenfoot.setWorld(znova);
                    }
                    if (getWorld().getWidth() == 31)
                    {
                        TazkaUroven znova = new TazkaUroven();
                        Greenfoot.setWorld(znova);
                    }
                }
            }
        }
    }
}
