import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko
 * @version date - 26.12.2019
 */

public class StrednaUroven extends World
{
    public StrednaUroven()
    {
        // Create a new world with 17x16 cells with a cell size of 40x40 pixels.
        super(17, 19, 40, false);
        prepare();
    }
    
    public void act()
    {
        
    }
    
    private void prepare()
    {
        for (int i = 0;i < 40;i ++)
        {
            int x = Greenfoot.getRandomNumber(17);
            int y = Greenfoot.getRandomNumber(16);

            Mina mina = new Mina();
            addObject(mina,x,y + 3);
        }

        for (int i = 0;i < 17;i ++)
        {
            for (int j = 0;j < 16;j ++)
            {
                Kryt kryt = new Kryt();
                addObject(kryt,i,j + 3);
            }
        }
        
        HornaLista2 h2 = new HornaLista2();
        addObject(h2,8,1);
        
        Pocitadlo pocitadlo = new Pocitadlo();
        addObject(pocitadlo,1,1);
        
        Casovac casovac = new Casovac();
        addObject(casovac,15,1);
        
        Smajlik smajlik = new Smajlik();
        addObject(smajlik,8,1);
    }
}
