import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * @author Pavol Biacko
 * @version date - 26.12.2019
 */

public class TazkaUroven extends World
{
    public TazkaUroven()
    {
        // Create a new world with 31x16 cells with a cell size of 40x40 pixels.
        super(31, 19, 40, false);
        prepare();
    }
    
    public void act()
    {
        
    }
    
    private void prepare()
    {
        for (int i = 0;i < 99;i ++)
        {
            int x = Greenfoot.getRandomNumber(31);
            int y = Greenfoot.getRandomNumber(16);

            Mina mina = new Mina();
            addObject(mina,x,y + 3);
        }

        for (int i = 0;i < 31;i ++)
        {
            for (int j = 0;j < 16;j ++)
            {
                Kryt kryt = new Kryt();
                addObject(kryt,i,j + 3);
            }
        }
        
        HornaLista3 h3 = new HornaLista3();
        addObject(h3,15,1);
        
        Pocitadlo pocitadlo = new Pocitadlo();
        addObject(pocitadlo,1,1);
        
        Casovac casovac = new Casovac();
        addObject(casovac,29,1);
        
        Smajlik smajlik = new Smajlik();
        addObject(smajlik,15,1);
    }
}
